Debian Bug report logs - #377622
RM: jhcore -- RoQA; orphaned, copyright problems

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Mon, 10 Jul 2006 11:48:38 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#377622; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: jhcore -- Jay's House Core, an enhanced core database for lambdamoo
Date: Mon, 10 Jul 2006 13:36:06 +0200
Package: wnpp
Severity: normal

The current maintainer of jhcore, Jonathan Walther <krooger@debian.org>,
is no longer active.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: jhcore
Binary: jhcore
Version: 20050204-1
Priority: optional
Section: net
Maintainer: Jonathan Walther <krooger@debian.org>
Build-Depends: debhelper (>= 5)
Architecture: all
Standards-Version: 3.6.2.2
Format: 1.0
Directory: pool/main/j/jhcore
Files: 3acacf625d3304d6029652677c3e2dd0 686 jhcore_20050204-1.dsc
 d7fdd930a7f30913a0e7cc82cf06a21f 645681 jhcore_20050204.orig.tar.gz
 57e9da0ad62f9c159c063fd574cdf7a3 3125 jhcore_20050204-1.diff.gz

Package: jhcore
Priority: optional
Section: net
Installed-Size: 2452
Maintainer: Jonathan Walther <krooger@debian.org>
Architecture: all
Version: 20050204-1
Provides: lambdamoo-core
Recommends: lambdamoo | lambdamoo-server
Filename: pool/main/j/jhcore/jhcore_20050204-1_all.deb
Size: 648134
MD5sum: ccec1a122a2588e32950cc79a5df5f6e
SHA1: 92ad177ee0ac0f6dd4326b0832b7e7507148371e
SHA256: 482b435406153e0bd83d0a8a5e035ccfc174258546424c05dcb9361ef7b4c2f9
Description: Jay's House Core, an enhanced core database for lambdamoo
 Jay's House Core, a lambdacore based db with significant enhancements.
 It features:
 .
  * Hypertext help system
  * Administration groups
  * Enhanced English presentation tools
  * Added objects (furniture, doors, windows, etc)
  * A tutorial
Tag: game::mud, role::content:data, use::gameplaying




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#377622; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 377622@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@fastmail.fm>
To: control@bugs.debian.org, 377623@bugs.debian.org, 377622@bugs.debian.org, 377620@bugs.debian.org, 377621@bugs.debian.org
Cc: 377624@bugs.debian.org
Subject: Please remove lambdamoo core dbs
Date: Mon, 18 Sep 2006 13:48:35 -0400
retitle 377621 RM: ghostcore -- RoQA; orphaned, copyright problems
retitle 377620 RM: encore -- RoQA; orphaned, copyright problems
retitle 377622 RM: jhcore -- RoQA; orphaned, copyright problems
retitle 377623 RM: lambdacore -- RoQA; orphaned, copyright problems
reassign 377620 ftp.debian.org
reassign 377621 ftp.debian.org
reassign 377622 ftp.debian.org
reassign 377623 ftp.debian.org
thanks

LambdaCore has copyright problems.  It was written by a large number of
pseudonymous people, many of whom could probably not be identified even
by their pseudonyms now.  Most of them never granted explicit
licenses for the use of their work.  And most of it was done after 1988,
when copyright became automatic in the US.

Unfortunately, jhcore, encore, and ghostcore are all based on lambdacore,
and inherit the same copyright problems.

Presumably since LambdaCore has been released for years, the denizens of LambdaMOO
who wrote it are mostly OK with it.  But they didn't actually grant any licenses,
and we don't actually know whether they are all OK with it.

Accordingly, I request that this mass of orphaned packages be removed.

(The lambdamoo server is still usable with the 'minimal' core database, and the
server has had its copyright and licensing handled carefully, so it's OK.  However,
anyone choosing to adopt it should be warned about the core databases.)

-- 
Nathanael Nerode  <neroden@fastmail.fm>

Theocracy, fascism, or absolute monarchy -- I don't care which it is, I don't like it.



Changed Bug title. Request was from Nathanael Nerode <neroden@fastmail.fm> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Nathanael Nerode <neroden@fastmail.fm> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 377622-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 377622-close@bugs.debian.org
Cc: encore@packages.debian.org, encore@packages.qa.debian.org, ghostcore@packages.debian.org, ghostcore@packages.qa.debian.org, jhcore@packages.debian.org, jhcore@packages.qa.debian.org
Subject: Bug#377622: fixed
Date: Sat, 23 Dec 2006 12:01:30 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

    encore |    4.0.1-3 | source, all
 ghostcore |    0.9.8-7 | source, all
    jhcore | 20050204-2 | source, all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 377622@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Anthony Towns (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 19:01:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:37:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.